# Method: accounts.cssProductInputs.insert

- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.request_body)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#body.aspect)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.cssProductInputs/insert#try-it)

Uploads a CssProductInput to your CSS Center account. If an input with the same contentLanguage, identity, feedLabel and feedId already exists, this method replaces that entry.

After inserting, updating, or deleting a CSS Product input, it may take several minutes before the processed CSS Product can be retrieved.

### HTTP request

`POST https://css.googleapis.com/v1/{parent=accounts/*}/cssProductInputs:insert`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account where this CSS Product will be inserted. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `feedId (deprecated)` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. DEPRECATED. Feed id is not required for CSS Products. The primary or supplemental feed id. If CSS Product already exists and feed id provided is different, then the CSS Product will be moved to a new feed. Note: For now, CSSs do not need to provide feed ids as we create feeds on the fly. We do not have supplemental feed support for CSS Products yet. |

### Request body

The request body contains an instance of `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/CssProductInput`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/CssProductInput`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).